com.io7m.r2.core

## Interface R2DepthRendererType

- All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType
  All Known Implementing Classes:
    R2DepthOnlyRenderer

      public interface R2DepthRendererType
      extends R2DeletableType

  The type of renderers that populate depth-only buffers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderDepth(R2DepthOnlyBufferUsableType gbuffer, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the given depth buffer.
    `void` | `renderDepthWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area, com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc, R2MatricesObserverType m, R2DepthInstancesType s)` Render the given opaque instances into the currently bound depth buffer.

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

- - ### Method Detail

    - #### renderDepth

          void renderDepth(R2DepthOnlyBufferUsableType gbuffer,
                           com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                           R2MatricesObserverType m,
                           R2DepthInstancesType s)

      Render the given opaque instances into the given depth buffer.
      Parameters:
        `gbuffer` - The depth buffer
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

    - #### renderDepthWithBoundBuffer

          void renderDepthWithBoundBuffer(com.io7m.jareas.core.AreaInclusiveUnsignedLType area,
                                          com.io7m.jcanephora.texture_unit_allocator.JCGLTextureUnitContextParentType uc,
                                          R2MatricesObserverType m,
                                          R2DepthInstancesType s)

      Render the given opaque instances into the currently bound depth buffer.
      Parameters:
        `area` - The current viewport
        `uc` - A texture unit context
        `m` - A matrix context
        `s` - The depth instances

Copyright © 2016 <code@io7m.com> http://io7m.com